gazebo version mismatch

asked 2021-05-17 09:47:06 -0500

highmax1234 gravatar image

Hi, I am facing a strange issue.

I have two machines running gazebo and I want to use one as gzserver and one as gzclient. I get a version mismatch error: [Err] [ConnectionManager.cc:151] Conflicting gazebo versions gazebo -v outputs 11.5.1 on one machine and 11.3.0 on the other.

So i went apt purge *gazebo* and reinstalled on both with apt install gazebo11=11.5.1-1~focal

But still, the gazebo -v output differs from one machine to the other.
apt policy gives the same versions on both machines.

How can this possibly be? How can I bring both machines to the same gazebo version?

I think it might have to to with a source installation that has not been deleted properly. However, there are no other binaries besides the prebuilt ones.

edit retag flag offensive close merge delete

Comments

I would recommend to run which gazebo to know where the command is coming from in your system. That should give you a hint about where the command is (probably a from source installation). dpkg -S <path> can help you to know if it comes from a package.

Jose Luis Rivero gravatar imageJose Luis Rivero ( 2021-05-19 11:30:38 -0500 )edit